<?php
/**
*
* @package Breizh Shoutbox Extension
* 
* @copyright (c) 2018 Sylver35  https://breizhcode.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace sylver35\breizhshoutbox\acp;

class main_module
{

	public $u_action;

	public function main ($id, $mode)
	{
		global $user, $template, $phpbb_container, $config, $phpbb_admin_path, $phpbb_root_path, $phpEx;
		
		// Get an instance of the admin controller
		$admin_controller = $phpbb_container->get('sylver35.breizhshoutbox.admin.controller');
		// Make the $u_action url available in the admin controller
		$admin_controller->set_page_url($this->u_action);
		// Get an instance of the shoutbox
		$this->shoutbox = $phpbb_container->get('sylver35.breizhshoutbox.shoutbox');

		$this->config = $config;
		$this->user = $user;

		$this->user->add_lang_ext('sylver35/breizhshoutbox', 'info_acp_shoutbox');
		$this->user->add_lang(array('acp/board', 'install'));
		$this->tpl_name = 'breizhshoutbox_body';
		$this->page_title = $this->user->lang('ACP_SHOUT_' .strtoupper($mode). '_T');
		$form_key = 'breizhshoutbox_body';

		switch ($mode)
		{
			case 'configs':
				
				$admin_controller->acp_shoutbox_configs();
				$img_src = 'settings.png';
			break;
			
			case 'rules':
				
				$admin_controller->acp_shoutbox_rules();
				$img_src = 'alert_2.png';
			break;
			
			case 'overview':
				
				$admin_controller->acp_shoutbox_overview();
				$img_src = 'stat.png';
			break;
			
			case 'config_gen':
				
				$admin_controller->acp_shoutbox_config_gen();
				$img_src = 'parametres.png';
			break;
			
			case 'private':
				
				$admin_controller->acp_shoutbox_private();
				$img_src = 'stat.png';
			break;
			
			case 'config_priv':
				
				$admin_controller->acp_shoutbox_config_priv();
				$img_src = 'parametres.png';
			break;
			
			case 'popup':
			
				$admin_controller->acp_shoutbox_popup();
				$img_src = 'parametres.png';
			break;
			
			case 'panel':
				
				$admin_controller->acp_shoutbox_panel();
				$img_src = 'parametres.png';
			break;
			
			case 'smilies':
				
				$admin_controller->acp_shoutbox_smilies();
				$img_src = 'casque.png';
				$lien_title = append_sid("{$phpbb_admin_path}index.{$phpEx}", "i=icons&amp;mode=smilies");
			break;
			
			case 'smilies_pop':
				$admin_controller->acp_shoutbox_smilies_pop();
				$img_src = 'casque.png';
			break;
			
			case 'robot':
				
				$admin_controller->acp_shoutbox_robot();
				$img_src = 'automator.png';
			break;

			default:
				trigger_error('NO_MODE', E_USER_ERROR);
			break;
		}

		$template->assign_vars(array(
			'U_ACTION'			=> $this->u_action,
			'SEPARATION'		=> '- - - - - - - - - - - -',
			'SHOUTBOX_VERSION'	=> sprintf($this->user->lang['SHOUTBOX_VERSION_ACP_COPY'], $this->config['shout_board_url'], $this->config['shout_version']),
			'TITLE'				=> $this->user->lang['ACP_SHOUT_' .strtoupper($mode). '_T'],
			'TITLE_EXPLAIN'		=> ($mode != 'smilies') ? $this->user->lang['ACP_SHOUT_' .strtoupper($mode). '_T_EXPLAIN'] : sprintf($this->user->lang['ACP_SHOUT_SMILIES_T_EXPLAIN'], $lien_title),
			'S_ROOT_PATH'		=> $phpbb_root_path,
			'IMAGE_TITLE'		=> $this->shoutbox->shout_img($img_src, 'ACP_SHOUT_' .strtoupper($mode). '_T'),
			'IMAGE_SUBMIT'		=> $this->shoutbox->shout_img('submit.png', 'SUBMIT', 38, 38),
			'IMAGE_RULES'		=> $this->shoutbox->shout_img('messages.png', 'ACP_SHOUT_RULES', 38, 38),
			'IMAGE_MESSAGES'	=> $this->shoutbox->shout_img('messages.png', 'SHOUT_STATS', 38, 38),
			'IMAGE_REGLAGES'	=> $this->shoutbox->shout_img('reglages.png', 'GENERAL_SETTINGS', 38, 38),
			'IMAGE_PANEL'		=> $this->shoutbox->shout_img('reglages.png', 'SHOUT_PANEL', 38, 38),
			'IMAGE_PURGE'		=> $this->shoutbox->shout_img('burn.png', 'SHOUT_OPTIONS', 38, 38),
			'IMAGE_STATS'		=> $this->shoutbox->shout_img('numbers.png', 'SHOUT_STATISTICS', 38, 38),
			'IMAGE_ALERT'		=> $this->shoutbox->shout_img('alert.png', 'SHOUT_LOGS', 38, 38),
		));
	}
}
