<?php
/**
*
* @package Breizh Shoutbox Extension
* 
* @copyright (c) 2018 Sylver35  https://breizhcode.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace sylver35\breizhshoutbox\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class acp_listener implements EventSubscriberInterface
{
	/** @var \phpbb\request\request */
	protected $request;

	/** @var \phpbb\user */
	protected $user;

	public function __construct(
		\phpbb\request\request $request, 
		\phpbb\user $user)
	{
		$this->request	= $request;
		$this->user		= $user;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.permissions'		=> 'add_permission',
		);
	}

	public function add_permission($event)
	{
		$categories				= $event['categories'];
		$categories				= array_merge($categories, array('shoutbox' => 'ACL_CAT_SHOUT'));
		$event['categories']	= $categories;

		$permissions = $event['permissions'];

		$permissions += array(
			'a_shout_manage'		=> array('lang' => 'ACL_A_SHOUT_MANAGE', 	'cat' => 'misc'),
			'a_shout_priv'			=> array('lang' => 'ACL_A_SHOUT_PRIV', 		'cat' => 'misc'),
			
			'm_shout_delete'		=> array('lang' => 'ACL_M_SHOUT_DELETE', 	'cat' => 'shoutbox'),
			'm_shout_edit_mod'		=> array('lang' => 'ACL_M_SHOUT_EDIT_MOD', 	'cat' => 'shoutbox'),
			'm_shout_info'			=> array('lang' => 'ACL_M_SHOUT_INFO', 		'cat' => 'shoutbox'),
			'm_shout_personal'		=> array('lang' => 'ACL_M_SHOUT_PERSONAL', 	'cat' => 'shoutbox'),
			'm_shout_purge'			=> array('lang' => 'ACL_M_SHOUT_PURGE', 	'cat' => 'shoutbox'),
			'm_shout_robot'			=> array('lang' => 'ACL_M_SHOUT_ROBOT', 	'cat' => 'shoutbox'),
			
			'u_shout_bbcode'		=> array('lang' => 'ACL_U_SHOUT_BBCODE', 	'cat' => 'shoutbox'),
			'u_shout_bbcode_change'	=> array('lang' => 'ACL_U_SHOUT_BBCODE_CHANGE', 'cat' => 'shoutbox'),
			'u_shout_chars'			=> array('lang' => 'ACL_U_SHOUT_CHARS', 	'cat' => 'shoutbox'),
			'u_shout_color'			=> array('lang' => 'ACL_U_SHOUT_COLOR', 	'cat' => 'shoutbox'),
			'u_shout_delete_s'		=> array('lang' => 'ACL_U_SHOUT_DELETE_S', 	'cat' => 'shoutbox'),
			'u_shout_edit'			=> array('lang' => 'ACL_U_SHOUT_EDIT', 		'cat' => 'shoutbox'),
			'u_shout_hide'			=> array('lang' => 'ACL_U_SHOUT_HIDE', 		'cat' => 'shoutbox'),
			'u_shout_ignore_flood'	=> array('lang' => 'ACL_U_SHOUT_IGNORE_FLOOD', 'cat' => 'shoutbox'),
			'u_shout_image'			=> array('lang' => 'ACL_U_SHOUT_IMAGE', 	'cat' => 'shoutbox'),
			'u_shout_inactiv'		=> array('lang' => 'ACL_U_SHOUT_INACTIV', 	'cat' => 'shoutbox'),
			'u_shout_info_s'		=> array('lang' => 'ACL_U_SHOUT_INFO_S', 	'cat' => 'shoutbox'),
			'u_shout_lateral'		=> array('lang' => 'ACL_U_SHOUT_LATERAL', 	'cat' => 'shoutbox'),
			'u_shout_limit_post'	=> array('lang' => 'ACL_U_SHOUT_LIMIT_POST', 'cat' => 'shoutbox'),
			'u_shout_popup'			=> array('lang' => 'ACL_U_SHOUT_POPUP', 	'cat' => 'shoutbox'),
			'u_shout_post'			=> array('lang' => 'ACL_U_SHOUT_POST', 		'cat' => 'shoutbox'),
			'u_shout_post_inp'		=> array('lang' => 'ACL_U_SHOUT_POST_INP', 	'cat' => 'shoutbox'),
			'u_shout_priv'			=> array('lang' => 'ACL_U_SHOUT_PRIV', 		'cat' => 'shoutbox'),
			'u_shout_smilies'		=> array('lang' => 'ACL_U_SHOUT_SMILIES', 	'cat' => 'shoutbox'),
			'u_shout_view'			=> array('lang' => 'ACL_U_SHOUT_VIEW', 		'cat' => 'shoutbox'),
		);
		
		$event['permissions'] = $permissions;
	}
}
